import ComponentsPricingTableToggle from '@/components/components/pricing-table/components-pricing-table-toggle';
import IconArrowLeft from '@/components/icon/icon-arrow-left';
import PanelCodeHighlight from '@/components/panel-code-highlight';
import { Metadata } from 'next';
import Link from 'next/link';
import React from 'react';

export const metadata: Metadata = {
    title: 'جدول قیمت',
};

export default function() {
    return (
        <div>
            <ul className="flex space-x-2 rtl:space-x-reverse">
                <li>
                    <Link href="#" className="text-primary hover:underline">
                        اجزا
                    </Link>
                </li>
                <li className="before:content-['/'] ltr:before:mr-2 rtl:before:ml-2">
                    <span>جدول قیمت</span>
                </li>
            </ul>
            <div className="space-y-8 pt-5">
                {/* Basic */}
                <PanelCodeHighlight
                    title="پایه"
                >
                    <div className="mb-5">
                        <div className="mx-auto max-w-[320px] md:max-w-[990px]">
                            <div className="justify-between space-y-4 rtl:space-x-reverse md:flex md:space-x-4 md:space-y-0">
                                <div className="group rounded border border-black p-3 text-center hover:border-primary dark:border-[#1b2e4b] lg:p-5">
                                    <h3 className="text-xl lg:text-2xl">سرور پایه</h3>
                                    <div className="mx-auto my-6 w-1/5 border-t border-black group-hover:border-primary dark:border-white-dark"></div>
                                    <p className="text-[15px]">برای افرادی که در حال شروع کار در زمینه صرفه جویی در آب هستند</p>
                                    <div className="my-7 p-2.5 text-center text-lg group-hover:text-primary">
                                        <strong className="text-3xl text-[#3b3f5c] group-hover:text-primary dark:text-white-dark lg:text-5xl">19 تومان</strong> / ماهانه
                                    </div>
                                    <ul className="mb-5 space-y-2.5 font-semibold group-hover:text-primary">
                                        <li className="flex items-center justify-center">
                                            <IconArrowLeft className="h-3.5 w-3.5 shrink-0 ltr:mr-1 rtl:ml-1 rtl:rotate-180" />
                                            کتاب الکترونیکی رایگان صرفه جویی در مصرف آب
                                        </li>
                                        <li className="flex items-center justify-center">
                                            <IconArrowLeft className="h-3.5 w-3.5 shrink-0 ltr:mr-1 rtl:ml-1 rtl:rotate-180" />
                                            دسترسی رایگان به انجمن ها
                                        </li>
                                        <li className="flex items-center justify-center">
                                            <IconArrowLeft className="h-3.5 w-3.5 shrink-0 ltr:mr-1 rtl:ml-1 rtl:rotate-180" />
                                            نکات مبتدیان
                                        </li>
                                    </ul>
                                    <Link
                                        href="#"
                                        target="_self"
                                        className="btn text-black shadow-none group-hover:border-primary group-hover:bg-primary/10 group-hover:text-primary dark:border-white-dark/50 dark:text-white-dark"
                                    >
                                        اکنون بخرید
                                    </Link>
                                </div>
                                <div className="group rounded border border-black p-3 text-center hover:border-primary dark:border-[#1b2e4b] lg:p-5">
                                    <h3 className="text-xl lg:text-2xl">سرور پیشرفته</h3>
                                    <div className="mx-auto my-6 w-1/5 border-t border-black group-hover:border-primary dark:border-white-dark"></div>
                                    <p className="text-[15px] ">{`For experienced water savers who'd like to push their limits`}</p>
                                    <div className="my-7 p-2.5 text-center text-lg group-hover:text-primary">
                                        <strong className="text-3xl text-[#3b3f5c] group-hover:text-primary dark:text-white-dark lg:text-5xl">29 تومان</strong> / ماهانه
                                    </div>
                                    <ul className="mb-5 space-y-2.5 font-semibold group-hover:text-primary">
                                        <li className="flex items-center justify-center">
                                            <IconArrowLeft className="h-3.5 w-3.5 shrink-0 ltr:mr-1 rtl:ml-1 rtl:rotate-180" />
                                            عنوان اول است
                                        </li>
                                        <li className="flex items-center justify-center">
                                            <IconArrowLeft className="h-3.5 w-3.5 shrink-0 ltr:mr-1 rtl:ml-1 rtl:rotate-180" />
                                            عنوان دوم
                                        </li>
                                        <li className="flex items-center justify-center">
                                            <IconArrowLeft className="h-3.5 w-3.5 shrink-0 ltr:mr-1 rtl:ml-1 rtl:rotate-180" />
                                            عنوان سوم
                                        </li>
                                    </ul>
                                    <Link
                                        href="#"
                                        target="_self"
                                        className="btn text-black shadow-none group-hover:border-primary group-hover:bg-primary/10 group-hover:text-primary dark:border-white-dark/50 dark:text-white-dark"
                                    >
                                        اکنون بخرید
                                    </Link>
                                </div>
                                <div className="group rounded border border-black p-3 text-center hover:border-primary dark:border-[#1b2e4b] lg:p-5">
                                    <h3 className="text-xl lg:text-2xl">سرور حرفه ای </h3>
                                    <div className="mx-auto my-6 w-1/5 border-t border-black group-hover:border-primary dark:border-white-dark"></div>
                                    <p className="text-[15px] ">{`For all the professionals who'd like to educate others, too`}</p>
                                    <div className="my-7 p-2.5 text-center text-lg group-hover:text-primary">
                                        <strong className="text-3xl text-[#3b3f5c] group-hover:text-primary dark:text-white-dark lg:text-5xl">70 تومان</strong> / ماهانه
                                    </div>
                                    <ul className="mb-5 space-y-2.5 font-semibold group-hover:text-primary">
                                        <li className="flex items-center justify-center">
                                            <IconArrowLeft className="h-3.5 w-3.5 shrink-0 ltr:mr-1 rtl:ml-1 rtl:rotate-180" />
                                            دسترسی به همه چی
                                        </li>
                                        <li className="flex items-center justify-center">
                                            <IconArrowLeft className="h-3.5 w-3.5 shrink-0 ltr:mr-1 rtl:ml-1 rtl:rotate-180" />
                                            بدون محدودیت
                                        </li>
                                        <li className="flex items-center justify-center">
                                            <IconArrowLeft className="h-3.5 w-3.5 shrink-0 ltr:mr-1 rtl:ml-1 rtl:rotate-180" />
                                            درجه یک
                                        </li>
                                    </ul>
                                    <Link
                                        href="#"
                                        target="_self"
                                        className="btn text-black shadow-none group-hover:border-primary group-hover:bg-primary/10 group-hover:text-primary dark:border-white-dark/50 dark:text-white-dark"
                                    >
                                        اکنون بخرید
                                    </Link>
                                </div>
                            </div>
                        </div>
                    </div>
                </PanelCodeHighlight>

                {/*  Toggle */}


                {/* Animated */}
                <PanelCodeHighlight
                    title="انیمیشن دار"
                >
                    <div className="mb-5">
                        <div className="mx-auto mt-20 max-w-[1140px] dark:text-white-dark">
                            <div className="justify-between space-y-14 rtl:space-x-reverse md:flex md:space-x-4 md:space-y-0">
                                <div className="group rounded border border-white-light transition-all duration-300 dark:border-[#1b2e4b]">
                                    <div className="border-b border-white-light p-5 pt-0 dark:border-[#1b2e4b]">
                                        <span className="-mt-[30px] flex h-[70px] w-[70px] items-center justify-center rounded border-2 border-primary bg-white text-xl font-bold text-[#3b3f5c] shadow-[0_0_15px_1px_rgba(113,106,202,0.20)] transition-all duration-300 group-hover:-translate-y-[10px] dark:bg-black dark:text-white-light lg:h-[100px] lg:w-[100px] lg:text-3xl">
                                            $49
                                        </span>
                                        <h3 className="mb-2.5 mt-4 text-xl lg:text-2xl">فریلنسر</h3>
                                        <p className="text-[15px] ">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ،</p>
                                    </div>
                                    <div className="p-5">
                                        <ul className="mb-5 space-y-2.5 font-semibold">
                                            <li>پشتیبانی</li>
                                            <li>هاست رایگان </li>
                                            <li>جواب گویی سریع</li>
                                            <li>5گیگ فضا</li>
                                        </ul>
                                        <button type="button" className="btn btn-primary w-full">
                                            اکنون بخرید
                                        </button>
                                    </div>
                                </div>
                                <div className="group rounded border border-white-light transition-all duration-300 dark:border-[#1b2e4b]">
                                    <div className="border-b border-white-light p-5 pt-0 dark:border-[#1b2e4b]">
                                        <span className="-mt-[30px] flex h-[70px] w-[70px] items-center justify-center rounded border-2 border-primary bg-white text-xl font-bold text-[#3b3f5c] shadow-[0_0_15px_1px_rgba(113,106,202,0.20)] transition-all duration-300 group-hover:-translate-y-[10px] dark:bg-black dark:text-white-light lg:h-[100px] lg:w-[100px] lg:text-3xl">
                                            $89
                                        </span>
                                        <h3 className="mb-2.5 mt-4 text-xl lg:text-2xl">کسب و کار کوچک</h3>
                                        <p className="text-[15px] ">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ،گیرد.</p>
                                    </div>
                                    <div className="p-5">
                                        <ul className="mb-5 space-y-2.5 font-semibold">
                                            <li>نامحدود</li>
                                            <li> هاست رایگان</li>
                                            <li>پشتیبانی</li>
                                            <li>10 گیگ فضا</li>
                                        </ul>
                                        <button type="button" className="btn btn-primary w-full">
                                            اکنون بخرید
                                        </button>
                                    </div>
                                </div>
                                <div className="group rounded border border-white-light transition-all duration-300 dark:border-[#1b2e4b]">
                                    <div className="border-b border-white-light p-5 pt-0 dark:border-[#1b2e4b]">
                                        <span className="-mt-[30px] flex h-[70px] w-[70px] items-center justify-center rounded border-2 border-primary bg-white text-xl font-bold text-[#3b3f5c] shadow-[0_0_15px_1px_rgba(113,106,202,0.20)] transition-all duration-300 group-hover:-translate-y-[10px] dark:bg-black dark:text-white-light lg:h-[100px] lg:w-[100px] lg:text-3xl">
                                            $129
                                        </span>
                                        <h3 className="mb-2.5 mt-4 text-xl lg:text-2xl">کسب و کار بزرگ</h3>
                                        <p className="text-[15px]">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ،  گیرد.</p>
                                    </div>
                                    <div className="p-5">
                                        <ul className="mb-5 space-y-2.5 font-semibold">
                                            <li>بی نهایت دامنه</li>
                                            <li>هاست رایگان</li>
                                            <li>تیکت نا محدود</li>
                                            <li>1 ترابایت فضا</li>
                                        </ul>
                                        <button type="button" className="btn btn-primary w-full">
                                            اکنون بخرید
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </PanelCodeHighlight>
            </div>
        </div>
    );
}
